------------------------------------------------------
-- Aysel Karimova								                    --
-- SMALLSAT specialisation project-PCA covariance   --
-- Supervisors: Kjetil Svarstad, Milica Orlandic    --
-- NTNU-EMECS  Dec, 2017						                --
-- Updated for the master thesis, 2018              --
-- covariance module - package                      --
------------------------------------------------------

library ieee; 
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

package covariance_pkg is
	type output_t is array (natural range <>) of signed(31 downto 0);
	type output_row_column is array (natural range <>) of integer; 
end package;